# CountUp.js

CountUp.js is a dependency-free, lightweight JavaScript class that animates a numerical value by counting to it.

Install via npm/yarn using the package name `countup.js`.

### View on GitHub

Current stars:

# 0

####

#### Params:

Start
End
Decimal places
Duration

#### Options:

Use grouping
Use Indian separators
Separator
Decimal
Prefix

#### + many more

#### Methods:

Alert on complete

#### Custom:

Easing:
Numerals:
``

### Auto animate demos (scroll down)

Once
Delay (ms)

Use the `autoAnimate` option to animate when the target element appears.

# 0

### Hidden at init

# 0

### Inside a modal

# 0